## Index

### Classes

- ApBehavior
- Behavior
- ChainBehavior
- ConstantBehavior
- FunctionBehavior
- MapBehavior
- PlaceholderBehavior
- ScanBehavior
- SinkBehavior
- SnapshotBehavior
- StepperBehavior
- SwitcherBehavior
- WhenBehavior

### Functions

- ap
- at
- fromFunction
- isBehavior
- map
- of
- placeholder
- publish
- scan
- sink
- snapshot
- stepper
- subscribe
- switcher
- when

## Functions

### ap

- ap<A, B>(fnB: Behavior<function>, valB: Behavior<A>): Behavior<B>

- - Defined in Behavior.ts:426

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### fnB: Behavior<function>

  - ##### valB: Behavior<A>

  #### Returns Behavior<B>

### at

- at<B>(b: Behavior<B>): B

- - Defined in Behavior.ts:89

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: Behavior<B>

  #### Returns B

### fromFunction

- fromFunction<B>(fn: function): Behavior<B>

- - Defined in Behavior.ts:406

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: function

    - - (): B

      - #### Returns B

  #### Returns Behavior<B>

### isBehavior

- isBehavior(b: any): boolean

- - Defined in Behavior.ts:433

  #### Parameters

  - ##### b: any

  #### Returns boolean

### map

- map<A, B>(fn: MapFunction, b: Behavior<A>): Behavior<B>

- - Defined in Behavior.ts:422

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  - ##### b: Behavior<A>

  #### Returns Behavior<B>

### of

- of<B>(val: B): Behavior<B>

- - Defined in Behavior.ts:84

  #### Type parameters

  - #### B

  #### Parameters

  - ##### val: B

  #### Returns Behavior<B>

### placeholder

- placeholder(): PlaceholderBehavior<any>

- - Defined in Behavior.ts:248

  #### Returns PlaceholderBehavior<any>

### publish

- publish<A>(a: A, b: Behavior<A>): void

- - Defined in Behavior.ts:418

  #### Type parameters

  - #### A

  #### Parameters

  - ##### a: A

  - ##### b: Behavior<A>

  #### Returns void

### scan

- scan<A, B>(fn: function, init: B, source: Stream<A>): Behavior<Behavior<B>>

- - Defined in Behavior.ts:401

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### fn: function

    - - (a: A, b: B): B

      - #### Parameters

        - ##### a: A

        - ##### b: B

        #### Returns B

  - ##### init: B

  - ##### source: Stream<A>

  #### Returns Behavior<Behavior<B>>

### sink

- sink<A>(initialValue: A): Behavior<A>

- - Defined in Behavior.ts:410

  #### Type parameters

  - #### A

  #### Parameters

  - ##### initialValue: A

  #### Returns Behavior<A>

### snapshot

- snapshot<A>(behavior: Behavior<A>, future: Future<any>): Behavior<Future<A>>

- - Defined in Behavior.ts:315

  #### Type parameters

  - #### A

  #### Parameters

  - ##### behavior: Behavior<A>

  - ##### future: Future<any>

  #### Returns Behavior<Future<A>>

### stepper

- stepper<B>(initial: B, steps: Stream<B>): Behavior<B>

- - Defined in Behavior.ts:379

  Creates a Behavior whose value is the last occurrence in the stream.

  #### Type parameters

  - #### B

  #### Parameters

  - ##### initial: B

    the initial value that the behavior has

  - ##### steps: Stream<B>

    the stream that will change the value of the behavior

  #### Returns Behavior<B>

### subscribe

- subscribe<A>(fn: SubscribeFunction, b: Behavior<A>): void

- - Defined in Behavior.ts:414

  #### Type parameters

  - #### A

  #### Parameters

  - ##### fn: SubscribeFunction

  - ##### b: Behavior<A>

  #### Returns void

### switcher

- switcher<A>(init: Behavior<A>, next: Future<Behavior<A>>): SwitcherBehavior<A>

- - Defined in Behavior.ts:349

  From an initial behavior and a future of a behavior `switcher` creates a new behavior that acts exactly like `initial` until `next` occurs after which it acts like the behavior it contains.

  #### Type parameters

  - #### A

  #### Parameters

  - ##### init: Behavior<A>

  - ##### next: Future<Behavior<A>>

  #### Returns SwitcherBehavior<A>

### when

- when(b: Behavior<boolean>): Behavior<Future<object>>

- - Defined in Behavior.ts:276

  Take a behavior `b` of booleans and return a behavior that for time `t` contains a future that occurs when `b` is true after `t`.

  #### Parameters

  - ##### b: Behavior<boolean>

    A boolean valued behavior.

  #### Returns Behavior<Future<object>>

Generated using TypeDoc